Home My Page Projects PaStiX
Summary Activity Forums Lists Docs News Files

Forum: help

Monitor Forum | Start New Thread Start New Thread
RE: FTBS with mpi4Py 2.0.2 [ Reply ]
By: Gilles Marait on 2017-03-09 10:51
[forum:151222]
Hi Christophe,

We already applied a similar patch on our develop version of Pastix, but apparently we forgot to make a release. Since we don't have many users of pypastix, we did not realize it.

To use pypastix you should have the path to pypastix....so in your PYTHONPATH (/usr/lib/python2.7/dist-packages in your case) and of course pastix and its dependencies loaded in your environment.

We will try to release the patch soon to fix this issue. Meanwhile it should work with your patch.

Thank you for your input,
GM

FTBS with mpi4Py 2.0.2 [ Reply ]
By: Trophime Christophe on 2017-03-08 07:36
[forum:151221]

fix-FTBS-mpi4py.patch (8) downloads
Hi,
trying to build with mpi4Py 2.0.2 FTBS on debian/Testing.
I add to apply the attached patch to get it compile.
Hope it helps

I still have a question regarding python bindings.
What shall be installed besides the shared lib
/usr/lib/python2.7/dist-packages/pypastix.x86_64-linux-gnu.so
to get it working? is there no pypastix.py to be installed?

Best
C